SDL_GetRealGamepadType(3)

NAME
SDL_GetRealGamepadType - Get the type of an opened gamepad, ignoring any mapping override.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GamepadType SDL_GetRealGamepadType(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
( SDL_GamepadType ) Returns the gamepad type, or

SDL_GAMEPAD_TYPE_UNKNOWN
 if it's not available.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetRealGamepadTypeForID(3)